<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table38', function (Blueprint $table) {
            $table->id('DatasetTable38Id');
            $table->integer('dataset_id');
            $table->string('minyak_bakar')->nullable();
            $table->string('minyak_diesel')->nullable();
            $table->string('minyak_tanah')->nullable();
            $table->string('gas')->nullable();
            $table->string('batubara')->nullable();
            $table->string('lpg')->nullable();
            $table->string('briket')->nullable();
            $table->string('kayu_bakar')->nullable();
            $table->string('biomassa')->nullable();
            $table->string('bensin')->nullable();
            $table->string('solar')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table38s');
    }
};
